<script lang="ts" setup>
import { useCheckStore } from "@/stores/checkin";
import { ref } from "vue";
import type { VForm } from "vuetify/components";
const form = ref<VForm | null>(null);
const checkStore = useCheckStore();

async function save() {
  const { valid } = await form.value!.validate();
  if (valid) {
    await checkStore.saveCheck();
  }
}
</script>
<template>
  <v-dialog v-model="checkStore.dialog" persistent width="500">
    <v-card>
      <v-card-title class="title_bar">
        <span class="text-h5">Check In</span>
      </v-card-title>
      <v-card-text>
        <v-form ref="form">
          <v-container>
            
          </v-container>
        </v-form>
        
      </v-card-text>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn
          color="blue-darken-1"
          variant="text"
          @click="checkStore.dialog = false"
        >
          Close
        </v-btn>
        <v-btn color="blue-darken-1" variant="text" @click="save"> Save </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>
<style>
.title_bar {
  color: azure;
  background-color: #41403d;
  text-align: center;
  text-size-adjust: unset;
}
</style>
